package com.enteprise.base_data_month.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.enteprise.common.annotation.Excel;
import com.enteprise.common.core.domain.BaseEntity;

/**
 * base_data_month对象 enterprise_base_data_month
 *
 * @author ruoyi
 * @date 2024-08-30
 */
public class EnterpriseBaseDataMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 坐落地 */
    @Excel(name = "坐落地")
    private String location;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String code;

    /** 主营业务活动 */
    @Excel(name = "主营业务活动")
    private String mainBusiness;

    /** 用地面积 */
    @Excel(name = "用地面积")
    private Double landArea;

    /** 工业总产值 */
    @Excel(name = "工业总产值")
    private Double totalIndustrialValue;

    /** 工业增加值 */
    @Excel(name = "工业增加值")
    private Double gdp;

    /** 应税收入 */
    @Excel(name = "应税收入")
    private Double taxableIncome;

    /** 实缴税金 */
    @Excel(name = "实缴税金")
    private Double paidTax;

    /** 主营业务收入 */
    @Excel(name = "主营业务收入")
    private Double mainBusinessIncome;

    /** 从业人员数 */
    @Excel(name = "从业人员数")
    private Double employeeNumber;

    /** 利润总额 */
    @Excel(name = "利润总额")
    private Double profit;

    /** 所有者权益 */
    @Excel(name = "所有者权益")
    private Double ownerEquity;

    /** 研发经费 */
    @Excel(name = "研发经费")
    private Double funding;

    /** 能源消费量 */
    @Excel(name = "能源消费量")
    private Double energyConsume;

    @Excel(name = "电力消费量")
    private Double powerConsume;
    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 月份 */
    @Excel(name = "月份")
    private String month;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMainBusiness() {
        return mainBusiness;
    }

    public void setMainBusiness(String mainBusiness) {
        this.mainBusiness = mainBusiness;
    }

    public Double getLandArea() {
        return landArea;
    }

    public void setLandArea(Double landArea) {
        this.landArea = landArea;
    }

    public Double getTotalIndustrialValue() {
        return totalIndustrialValue;
    }

    public void setTotalIndustrialValue(Double totalIndustrialValue) {
        this.totalIndustrialValue = totalIndustrialValue;
    }

    public Double getGdp() {
        return gdp;
    }

    public void setGdp(Double gdp) {
        this.gdp = gdp;
    }

    public Double getTaxableIncome() {
        return taxableIncome;
    }

    public void setTaxableIncome(Double taxableIncome) {
        this.taxableIncome = taxableIncome;
    }

    public Double getPaidTax() {
        return paidTax;
    }

    public void setPaidTax(Double paidTax) {
        this.paidTax = paidTax;
    }

    public Double getMainBusinessIncome() {
        return mainBusinessIncome;
    }

    public void setMainBusinessIncome(Double mainBusinessIncome) {
        this.mainBusinessIncome = mainBusinessIncome;
    }

    public Double getEmployeeNumber() {
        return employeeNumber;
    }

    public void setEmployeeNumber(Double employeeNumber) {
        this.employeeNumber = employeeNumber;
    }

    public Double getProfit() {
        return profit;
    }

    public void setProfit(Double profit) {
        this.profit = profit;
    }

    public Double getOwnerEquity() {
        return ownerEquity;
    }

    public void setOwnerEquity(Double ownerEquity) {
        this.ownerEquity = ownerEquity;
    }

    public Double getFunding() {
        return funding;
    }

    public void setFunding(Double funding) {
        this.funding = funding;
    }

    public Double getEnergyConsume() {
        return energyConsume;
    }

    public void setEnergyConsume(Double energyConsume) {
        this.energyConsume = energyConsume;
    }

    public Double getPowerConsume() {
        return powerConsume;
    }

    public void setPowerConsume(Double powerConsume) {
        this.powerConsume = powerConsume;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    @Override
    public String toString() {
        return "EnterpriseBaseDataMonth{" +
                "id=" + id +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", location='" + location + '\'' +
                ", code='" + code + '\'' +
                ", mainBusiness='" + mainBusiness + '\'' +
                ", landArea=" + landArea +
                ", totalIndustrialValue=" + totalIndustrialValue +
                ", gdp=" + gdp +
                ", taxableIncome=" + taxableIncome +
                ", paidTax=" + paidTax +
                ", mainBusinessIncome=" + mainBusinessIncome +
                ", employeeNumber=" + employeeNumber +
                ", profit=" + profit +
                ", ownerEquity=" + ownerEquity +
                ", funding=" + funding +
                ", energyConsume=" + energyConsume +
                ", powerConsume=" + powerConsume +
                ", year='" + year + '\'' +
                ", month='" + month + '\'' +
                '}';
    }
}
