package com.enteprise.matchAnalysis.controller;

import com.enteprise.common.annotation.Log;
import com.enteprise.common.core.controller.BaseController;
import com.enteprise.common.core.page.TableDataInfo;
import com.enteprise.common.enums.BusinessType;
import com.enteprise.common.utils.poi.ExcelUtil;
import com.enteprise.matchAnalysis.domain.MatchAna;
import com.enteprise.matchAnalysis.domain.dto.MatchDto;
import com.enteprise.matchAnalysis.service.IMatchService;
import com.enteprise.priceindex.domain.PriceIndex;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

import static com.enteprise.util.CommonUtil.startPageL;


@RestController
@RequestMapping("/match/match")
public class MatchController extends BaseController {
    @Autowired
    private IMatchService matchService;

    @PreAuthorize("@ss.hasPermi('match:match:list')")
    @PostMapping("/list")
    public TableDataInfo analysisGrowthRate(@RequestBody MatchAna matchAna)
    {
        Integer pageNum = matchAna.getPageNum();
        Integer pageSize = matchAna.getPageSize();
        List<MatchDto> list = matchService.matchAnalysisList(matchAna);
        return startPageL(list, pageNum, pageSize);
    }

    /**
     * 导出match列表
     */
    @PreAuthorize("@ss.hasPermi('match:match:export')")
    @Log(title = "match", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, MatchAna matchAna)
    {
        List<MatchDto> list = matchService.matchAnalysisList(matchAna);
        ExcelUtil<MatchDto> util = new ExcelUtil<>(MatchDto.class);
        util.exportExcel(response, list, "match数据");
    }
}
