package com.enteprise.util;

import com.enteprise.common.utils.poi.ExcelHandlerAdapter;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Workbook;

public class CustomExcelHandler implements ExcelHandlerAdapter {

    @Override
    public Object format(Object value, String[] args, Cell cell, Workbook workbook) {
        if (value instanceof Double) {
            double doubleValue = (Double) value;
            String formattedValue = String.format("%.4f", doubleValue); // 格式化为四位小数
            cell.setCellValue(formattedValue); // 设置单元格值
            return formattedValue; // 返回格式化的值
        }
        // 对于其他类型，返回 null 或处理逻辑
        return null; // 或者使用super.format(value, args, cell, workbook); 依据您的需求
    }
}


